Anonymous Login
2017-11-21 15:04 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001936OpenClonkObjectspublic2017-10-25 15:53
ReporterFulgen 
Assigned ToClonkonaut 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0001936: Hideout/PyreGem: Possible null pointer error
DescriptionIf the gem executes Hit() without having set a thrower (never collected), it throws a null pointer error.
Additional InformationThis only concerns custom scenarios which include this definition.
TagsObjects, Script
Attached Files

-Relationships
+Relationships

-Notes

~0005754

Fulgen (reporter)

Fixed in https://github.com/Fulgen301/openclonk/commit/88a75b85a22b9e5117a62daac1960204ce5216da

~0005810

Clonkonaut (developer)

Included your patch.
+Notes

-Issue History
Date Modified Username Field Change
2017-08-23 11:46 Fulgen New Issue
2017-08-23 11:46 Fulgen Tag Attached: Objects
2017-08-23 11:46 Fulgen Tag Attached: Script
2017-08-23 11:50 Fulgen Note Added: 0005754
2017-10-25 15:53 Clonkonaut Assigned To => Clonkonaut
2017-10-25 15:53 Clonkonaut Status new => resolved
2017-10-25 15:53 Clonkonaut Resolution open => fixed
2017-10-25 15:53 Clonkonaut Note Added: 0005810
+Issue History